LINUX 4.15 4.14 4.9 VENDRAN CON SOPORTE RETPOLINE

Versiones del núcleo de Linux, incluyendo 4.9, 4.14, 4.15 y el próximo, tendrán el soporte Retpoline incorporado para mitigar la vulnerabilidad Spectre

Greg Kroah-Hartman, uno de los han desarrollo del kernel, aceptó el parche 4.9 y 4.14 núcleos significa que los usuarios de Linux en todas partes deben ser seguras del amplio y sin ninguna pega rendimiento.

Las versiones exactas del núcleo a tener en cuenta son 09-04-77 y 04-14-14. Desafortunadamente, para aquellos de nosotros todavía en Linux 4.4 y 3.18, que todavía son compatibles, no hay ninguna señal del parche Retpoline por el momento a pesar de conseguir recibir otras actualizaciones. Esperar que va a ser lanzado en una actualización posterior después de haber tenido tiempo para controlar por ningún problema en 4,9 y 4,14.

El parche Retpoline ya se ha aplicado a Linux 4.15, que actualmente está acercando al final de la fase de prueba antes de ser empujado como una liberación estable. El domingo, Linus Torvalds empujó la octava versión candidata, que es el último previsto antes de que se estable el 21 de enero.

El parche Retpoline fue creado por Paul Turner, un ingeniero de software en el grupo de la infraestructura técnica de Google. Su solución emplea una técnica de modificación binaria software que evita la inyección de ramificación objetivo. Con este parche, Turner logró mitigar la vulnerabilidad sin incurrir en una pérdida de rendimiento, que se encontró con Amazon cuando intentaron su mano y la creación de una solución.


Fecha actualización el 2018-01-16. Fecha publicación el 2018-01-16. Categoría: linux. Autor: Oscar olg Mapa del sitio Fuente: neowin
soporte Retpoline